PS4DSHOCK(4)

NAME
ps4dshock - Sony PlayStation 4 Dualshock 4 gamepad driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device ps4dshock
device hid
device hidbus
device hidmap
device evdev

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ps4dshock_load="YES"

DESCRIPTION
The ps4dshock driver provides support for Sony PlayStation 4 Dualshock 4 gamepad driver.

The /dev/input/event* device presents the game controller as a evdev type device.

SYSCTL VARIABLES
Next parameters are available as sysctl(8) variables. Debug parameter is available as loader(8) tunable as well.

dev.p4dshock.*.led_state
    LED state: 0 - off, 1 - on, 2 - blinking.

dev.p4dshock.*.led_color_r
    LED color. Red component.

dev.p4dshock.*.led_color_g
    LED color. Green component.

dev.p4dshock.*.led_color_b
    LED color. Blue component.

dev.p4dshock.*.led_delay_on
    LED blink. On delay, msecs.

dev.p4dshock.*.led_delay_off
    LED blink. Off delay, msecs.

hw.hid.ps4dshock.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

FILES
/dev/input/event*
    input event device node.

BUGS
The ps4dshock does not support force-feedback events.

HISTORY
The ps4dshock driver first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The ps4dshock driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>.